# Generated by Django 3.2.2 on 2021-05-12 23:32

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import shared.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailimages", "0023_add_choose_permissions"),
        ("wagtailcore", "0062_comment_models_and_pagesubscription"),
        ("elections2021", "0007_auto_20210512_2132"),
    ]

    operations = [
        migrations.CreateModel(
            name="Elections2021QuestionsPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "intro",
                    wagtail.fields.RichTextField(
                        blank=True, verbose_name="úvodní text"
                    ),
                ),
                (
                    "myths",
                    wagtail.fields.StreamField(
                        [
                            (
                                "question",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "question",
                                            wagtail.blocks.CharBlock(label="otázka"),
                                        ),
                                        (
                                            "answer",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "bold",
                                                    "italic",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "ul-elections2021",
                                                    "ol-elections2021",
                                                    "blockquote-elections2021",
                                                    "link",
                                                    "image",
                                                    "document-link",
                                                ],
                                                label="odpověď",
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="mýty o koalici",
                    ),
                ),
                (
                    "elections",
                    wagtail.fields.StreamField(
                        [
                            (
                                "question",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "question",
                                            wagtail.blocks.CharBlock(label="otázka"),
                                        ),
                                        (
                                            "answer",
                                            wagtail.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "bold",
                                                    "italic",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "ul-elections2021",
                                                    "ol-elections2021",
                                                    "blockquote-elections2021",
                                                    "link",
                                                    "image",
                                                    "document-link",
                                                ],
                                                label="odpověď",
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="otázky k volbám",
                    ),
                ),
                (
                    "photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.PROTECT,
                        to="wagtailimages.image",
                        verbose_name="hlavní fotka",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "FAQ",
            },
            bases=(
                shared.models.SubpageMixin,
                wagtailmetadata.models.WagtailImageMetadataMixin,
                "wagtailcore.page",
                models.Model,
            ),
        ),
    ]
